summaryrefslogtreecommitdiffstats
path: root/misc
diff options
context:
space:
mode:
Diffstat (limited to 'misc')
-rw-r--r--misc/font-unscii/README10
-rw-r--r--misc/font-unscii/doinst.sh31
-rw-r--r--misc/font-unscii/font-unscii.SlackBuild54
-rw-r--r--misc/font-unscii/font-unscii.info10
-rw-r--r--misc/font-unscii/slack-desc19
5 files changed, 124 insertions, 0 deletions
diff --git a/misc/font-unscii/README b/misc/font-unscii/README
new file mode 100644
index 0000000000..aeb8de42fa
--- /dev/null
+++ b/misc/font-unscii/README
@@ -0,0 +1,10 @@
+font-unscii (bitmapped Unicode font for blocky graphics)
+
+Unscii is a set of bitmapped Unicode fonts based on classic system
+fonts. Unscii attempts to support character cell art well while also
+being suitable for terminal and programming use.
+
+The package include PCF, TTF, and OTF fonts for use with X. No console
+(PSF) fonts are included: These fonts have over 2500 glyphs each, but the
+console only supports 512 glyphs per font. Most of the special character
+art glyphs would have to be omitted from a console conversion.
diff --git a/misc/font-unscii/doinst.sh b/misc/font-unscii/doinst.sh
new file mode 100644
index 0000000000..15acd6001a
--- /dev/null
+++ b/misc/font-unscii/doinst.sh
@@ -0,0 +1,31 @@
+# Update fonts.{dir,scale,alias}
+if [ -x /usr/bin/mkfontdir -a -x /usr/bin/mkfontscale ]; then
+ for i in misc TTF OTF; do
+ ( cd usr/share/fonts/misc
+ if ! grep -q ^unscii- fonts.alias; then
+ cat <<EOF >> fonts.alias
+unscii-16-full -unscii-unscii-medium-r-normal-full-16-160-75-75-c-80-iso10646-1
+unscii-16 -unscii-unscii-medium-r-normal-16-16-160-75-75-c-80-iso10646-1
+unscii-8-alt -unscii-unscii-medium-r-normal-alt-8-80-75-75-c-80-iso10646-1
+unscii-8-fantasy -unscii-unscii-medium-r-normal-fantasy-8-80-75-75-c-80-iso10646-1
+unscii-8-mcr -unscii-unscii-medium-r-normal-mcr-8-80-75-75-c-80-iso10646-1
+unscii-8-tall -unscii-unscii-medium-r-normal-tall-16-160-75-75-c-80-iso10646-1
+unscii-8-thin -unscii-unscii-medium-r-normal-thin-8-80-75-75-c-80-iso10646-1
+unscii-8 -unscii-unscii-medium-r-normal-8-8-80-75-75-c-80-iso10646-1
+EOF
+ fi
+ /usr/bin/mkfontscale .
+ /usr/bin/mkfontdir .
+ )
+ done
+fi
+
+# If X is running...
+if [ "$DISPLAY" != "" ] && [ -x /usr/bin/xset ]; then
+ /usr/bin/xset fp rehash >/dev/null 2>&1
+fi
+
+# Update the X font indexes:
+if [ -x /usr/bin/fc-cache ]; then
+ /usr/bin/fc-cache -f
+fi
diff --git a/misc/font-unscii/font-unscii.SlackBuild b/misc/font-unscii/font-unscii.SlackBuild
new file mode 100644
index 0000000000..bec06c651c
--- /dev/null
+++ b/misc/font-unscii/font-unscii.SlackBuild
@@ -0,0 +1,54 @@
+#!/bin/sh
+
+# Slackware build script for font-unscii
+
+# Written by B. Watson (yalhcru@gmail.com)
+
+# Licensed under the WTFPL. See http://www.wtfpl.net/txt/copying/ for details.
+
+PRGNAM=font-unscii
+VERSION=${VERSION:-2.0}
+BUILD=${BUILD:-1}
+TAG=${TAG:-_SBo}
+ARCH=noarch
+
+CWD=$(pwd)
+TMP=${TMP:-/tmp/SBo}
+PKG=$TMP/package-$PRGNAM
+OUTPUT=${OUTPUT:-/tmp}
+
+SRCNAM=unscii
+SRCDIR=$SRCNAM-$VERSION-src
+
+set -e
+
+rm -rf $PKG
+mkdir -p $TMP $PKG $OUTPUT
+cd $TMP
+rm -rf $SRCDIR
+tar xvf $CWD/$SRCDIR.tar.gz
+cd $SRCDIR
+chown -R root:root .
+find -L . -perm /111 -a \! -perm 755 -a -exec chmod 755 {} \+ -o \
+ \! -perm /111 -a \! -perm 644 -a -exec chmod 644 {} \+
+
+make
+mkdir -p $PKG/usr/share/fonts/misc \
+ $PKG/usr/share/fonts/OTF \
+ $PKG/usr/share/fonts/TTF
+
+cp *.otf $PKG/usr/share/fonts/OTF
+cp *.ttf $PKG/usr/share/fonts/TTF
+cp *.pcf $PKG/usr/share/fonts/misc
+gzip -9 $PKG/usr/share/fonts/misc/*
+
+mkdir -p $PKG/usr/doc/$PRGNAM-$VERSION
+cp -a $SRCNAM.txt $PKG/usr/doc/$PRGNAM-$VERSION
+cat $CWD/$PRGNAM.SlackBuild > $PKG/usr/doc/$PRGNAM-$VERSION/$PRGNAM.SlackBuild
+
+mkdir -p $PKG/install
+cat $CWD/slack-desc > $PKG/install/slack-desc
+cat $CWD/doinst.sh > $PKG/install/doinst.sh
+
+cd $PKG
+/sbin/makepkg -l y -c n $OUTPUT/$PRGNAM-$VERSION-$ARCH-$BUILD$TAG.${PKGTYPE:-tgz}
diff --git a/misc/font-unscii/font-unscii.info b/misc/font-unscii/font-unscii.info
new file mode 100644
index 0000000000..e3f4085332
--- /dev/null
+++ b/misc/font-unscii/font-unscii.info
@@ -0,0 +1,10 @@
+PRGNAM="font-unscii"
+VERSION="2.0"
+HOMEPAGE="http://pelulamu.net/unscii/"
+DOWNLOAD="http://pelulamu.net/unscii/unscii-2.0-src.tar.gz"
+MD5SUM="3902d8f56e48782778ae9676803ec864"
+DOWNLOAD_x86_64=""
+MD5SUM_x86_64=""
+REQUIRES="fontforge perl-Text-CharWidth"
+MAINTAINER="B. Watson"
+EMAIL="yalhcru@gmail.com"
diff --git a/misc/font-unscii/slack-desc b/misc/font-unscii/slack-desc
new file mode 100644
index 0000000000..1611b0565d
--- /dev/null
+++ b/misc/font-unscii/slack-desc
@@ -0,0 +1,19 @@
+# HOW TO EDIT THIS FILE:
+# The "handy ruler" below makes it easier to edit a package description.
+# Line up the first '|' above the ':' following the base package name, and
+# the '|' on the right side marks the last column you can put a character in.
+# You must make exactly 11 lines for the formatting to be correct. It's also
+# customary to leave one space after the ':' except on otherwise blank lines.
+
+ |-----handy-ruler------------------------------------------------------|
+font-unscii: font-unscii (bitmapped Unicode font for blocky graphics)
+font-unscii:
+font-unscii: Unscii is a set of bitmapped Unicode fonts based on classic system
+font-unscii: fonts. Unscii attempts to support character cell art well while also
+font-unscii: being suitable for terminal and programming use.
+font-unscii:
+font-unscii:
+font-unscii:
+font-unscii:
+font-unscii:
+font-unscii: